#include <iostream>
#include <unordered_map>
using namespace std;
int main(){
	int t;
	cin>>t;
	while(t--){
		int n,m;
		cin>>n>>m;
		if(n!=m){
			cout<<"-1\n";
		}
		else{
			for(int i=1;i<=n;i++){
				for(int j=1;j<=m;j++){
					if(j>n-i){
						cout<<"1 ";
					}
					else{
						cout<<"0 ";
					}
				}
				cout<<"\n";
			}
		}
	}
	
}